import request from '@/utils/request'

// 查询短信模板列表
export function listCompanySmsTemp(query) {
  return request({
    url: '/company/companySmsTemp/list',
    method: 'get',
    params: query
  })
}

// 查询短信模板详细
export function getCompanySmsTemp(tempId) {
  return request({
    url: '/company/companySmsTemp/' + tempId,
    method: 'get'
  })
}

// 新增短信模板
export function addCompanySmsTemp(data) {
  return request({
    url: '/company/companySmsTemp',
    method: 'post',
    data: data
  })
}

// 修改短信模板
export function updateCompanySmsTemp(data) {
  return request({
    url: '/company/companySmsTemp',
    method: 'put',
    data: data
  })
}

// 删除短信模板
export function delCompanySmsTemp(tempId) {
  return request({
    url: '/company/companySmsTemp/' + tempId,
    method: 'delete'
  })
}

// 导出短信模板
export function exportCompanySmsTemp(query) {
  return request({
    url: '/company/companySmsTemp/export',
    method: 'get',
    params: query
  })
}

export function audit(data) {
  return request({
    url: '/company/companySmsTemp/audit',
    method: 'post',
    data: data
  })
}
export function getSmsTempList(query) {
  return request({
    url: '/company/companySmsTemp/getSmsTempList',
    method: 'get',
    params: query
  })
}